#ifndef CLIB_SQLITE3_PROTOS_H
#define CLIB_SQLITE3_PROTOS_H

/*
    *** Automatically generated from '/ssd/deadwood/repo-github-dd-alt-abiv0/AROS/contrib/scalos/libraries/sqlite/sqlite3-aros.conf'. Edits will be lost. ***
    Copyright  1995-2022, The AROS Development Team. All rights reserved.
*/

#include <aros/libcall.h>

#include <exec/types.h>
#include <sqlite3.h>

typedef int (*xBusyFunc)(void*,int);
typedef void (*xTraceFunc)(void*, const char*);
typedef int (*xProgressFunc)(void *);
typedef int (*xCommitFunc)(void*);
typedef void (*xDeleteFunc)(void*);
typedef int (*xCompareFunc)(void*,int,const void*,int,const void*);
typedef void (*xCollationNeededFunc)(void*, sqlite3*, int eTextRep, const char*);
typedef VOID (*xRollbackCallbackFunc)(VOID *);
typedef VOID (*xFunctionFunc)(sqlite3_context *pCtx, int i, sqlite3_value **pVal);
typedef VOID (*xFunctionStep)(sqlite3_context *pCtx, int i, sqlite3_value **pVal);
typedef VOID (*xFunctionFinal)(sqlite3_context *pCtx);
typedef int (*xCreateCollationCompare)(APTR p, int i, CONST_APTR p2, int j, CONST_APTR p3);
typedef VOID (*xCreateCollationDestroy)(APTR p);

__BEGIN_DECLS


#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Close,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 5, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3Exec,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, sql, A1),
         AROS_LPA(sqlite3_callback, xCallback, A2),
         AROS_LPA(APTR, pArg, A3),
         AROS_LPA(STRPTR *, errmsg, D0),
         LIBBASETYPEPTR, SQLite3Base, 6, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Changes,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 7, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3TotalChanges,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 8, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(VOID, SQLite3Interrupt,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 9, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Complete,
         AROS_LPA(CONST_STRPTR, sql, A0),
         LIBBASETYPEPTR, SQLite3Base, 10, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLite3BusyHandler,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(xBusyFunc, callback, A1),
         AROS_LPA(APTR, userdata, A2),
         LIBBASETYPEPTR, SQLite3Base, 11, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3BusyTimeout,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(LONG, ms, D0),
         LIBBASETYPEPTR, SQLite3Base, 12, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP6(LONG, SQLite3GetTable,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, sql, A1),
         AROS_LPA(STRPTR **, presult, A2),
         AROS_LPA(LONG *, nrow, A3),
         AROS_LPA(LONG *, ncolumn, D0),
         AROS_LPA(STRPTR *, errmsg, D1),
         LIBBASETYPEPTR, SQLite3Base, 13, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(VOID, SQLite3FreeTable,
         AROS_LPA(STRPTR *, result, A0),
         LIBBASETYPEPTR, SQLite3Base, 14, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(VOID, SQLite3Free,
         AROS_LPA(STRPTR, z, A0),
         LIBBASETYPEPTR, SQLite3Base, 15, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(APTR, SQLite3Trace,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(xTraceFunc, xTrace, A1),
         AROS_LPA(APTR, parg, A2),
         LIBBASETYPEPTR, SQLite3Base, 16, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP4(VOID, SQLite3ProgressHandler,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(LONG, nOps, D0),
         AROS_LPA(xProgressFunc, xProgress, A1),
         AROS_LPA(APTR, pArg, A2),
         LIBBASETYPEPTR, SQLite3Base, 17, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(APTR, SQLite3CommitHook,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(xCommitFunc, xCallback, A1),
         AROS_LPA(APTR, pArg, A2),
         LIBBASETYPEPTR, SQLite3Base, 18, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3Open,
         AROS_LPA(CONST_STRPTR, filename, A0),
         AROS_LPA(sqlite3 **, ppDb, A1),
         LIBBASETYPEPTR, SQLite3Base, 19, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Errcode,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 20, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(CONST_STRPTR, SQLite3Errmsg,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 21, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3Prepare,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zSql, A1),
         AROS_LPA(LONG, nBytes, D0),
         AROS_LPA(sqlite3_stmt **, ppStmt, A2),
         AROS_LPA(CONST_STRPTR *, pzTail, A3),
         LIBBASETYPEPTR, SQLite3Base, 22, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3BindBlob,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         AROS_LPA(CONST_APTR, zData, A1),
         AROS_LPA(LONG, nData, D1),
         AROS_LPA(xDeleteFunc, xDel, A2),
         LIBBASETYPEPTR, SQLite3Base, 23, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLite3BindInt,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         AROS_LPA(LONG, iValue, D1),
         LIBBASETYPEPTR, SQLite3Base, 24, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3BindNull,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         LIBBASETYPEPTR, SQLite3Base, 25, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3BindText,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         AROS_LPA(CONST_STRPTR, zData, A1),
         AROS_LPA(LONG, nData, D1),
         AROS_LPA(xDeleteFunc, xDel, A2),
         LIBBASETYPEPTR, SQLite3Base, 26, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLite3BindValue,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         AROS_LPA(CONST sqlite3_value *, pVal, A1),
         LIBBASETYPEPTR, SQLite3Base, 27, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3BindParameterCount,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 28, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3BindParameterName,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         LIBBASETYPEPTR, SQLite3Base, 29, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3BindParameterIndex,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(CONST_STRPTR, zName, A1),
         LIBBASETYPEPTR, SQLite3Base, 30, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ClearBindings,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 31, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ColumnCount,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 32, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3ColumnName,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         LIBBASETYPEPTR, SQLite3Base, 33, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3ColumnDecltype,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         LIBBASETYPEPTR, SQLite3Base, 34, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Step,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 35, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3DataCount,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 36, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_APTR, SQLite3ColumnBlob,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, iCol, D0),
         LIBBASETYPEPTR, SQLite3Base, 37, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3ColumnBytes,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, iCol, D0),
         LIBBASETYPEPTR, SQLite3Base, 38, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3ColumnInt,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, iCol, D0),
         LIBBASETYPEPTR, SQLite3Base, 39, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3ColumnText,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, iCol, D0),
         LIBBASETYPEPTR, SQLite3Base, 40, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3ColumnType,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, iCol, D0),
         LIBBASETYPEPTR, SQLite3Base, 41, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Finalize,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 42, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Reset,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 43, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3AggregateCount,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         LIBBASETYPEPTR, SQLite3Base, 44, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(CONST_APTR, SQLite3ValueBlob,
         AROS_LPA(sqlite3_value *, pVal, A0),
         LIBBASETYPEPTR, SQLite3Base, 45, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ValueBytes,
         AROS_LPA(sqlite3_value *, pVal, A0),
         LIBBASETYPEPTR, SQLite3Base, 46, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ValueInt,
         AROS_LPA(sqlite3_value *, pVal, A0),
         LIBBASETYPEPTR, SQLite3Base, 47, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(CONST_STRPTR, SQLite3ValueText,
         AROS_LPA(sqlite3_value *, pVal, A0),
         LIBBASETYPEPTR, SQLite3Base, 48, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ValueType,
         AROS_LPA(sqlite3_value *, pVal, A0),
         LIBBASETYPEPTR, SQLite3Base, 49, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(APTR, SQLite3Aggregate_context,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(LONG, nBytes, D0),
         LIBBASETYPEPTR, SQLite3Base, 50, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(APTR, SQLite3UserData,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         LIBBASETYPEPTR, SQLite3Base, 51, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(APTR, SQLite3GetAuxdata,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(LONG, iArg, D0),
         LIBBASETYPEPTR, SQLite3Base, 52, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP4(VOID, SQLite3SetAuxdata,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(LONG, iARg, D0),
         AROS_LPA(APTR, pAux, A1),
         AROS_LPA(xDeleteFunc, xDelete, A2),
         LIBBASETYPEPTR, SQLite3Base, 53, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP4(VOID, SQLite3ResultBlob,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(CONST_APTR, z, A1),
         AROS_LPA(LONG, n, D0),
         AROS_LPA(xDeleteFunc, xDelete, A2),
         LIBBASETYPEPTR, SQLite3Base, 54, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(VOID, SQLite3ResultError,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(CONST_STRPTR, z, A1),
         AROS_LPA(LONG, n, D0),
         LIBBASETYPEPTR, SQLite3Base, 55, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(VOID, SQLite3ResultInt,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(LONG, iVal, D0),
         LIBBASETYPEPTR, SQLite3Base, 56, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(VOID, SQLite3ResultNull,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         LIBBASETYPEPTR, SQLite3Base, 57, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP4(VOID, SQLite3ResultText,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(CONST_STRPTR, z, A1),
         AROS_LPA(LONG, n, D0),
         AROS_LPA(xDeleteFunc, xDelete, A2),
         LIBBASETYPEPTR, SQLite3Base, 58, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(VOID, SQLite3ResultValue,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(sqlite3_value *, pValue, A1),
         LIBBASETYPEPTR, SQLite3Base, 59, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3CreateCollation,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zName, A1),
         AROS_LPA(LONG, eTextRep, D0),
         AROS_LPA(APTR, pCtx, A2),
         AROS_LPA(xCompareFunc, xCompare, A3),
         LIBBASETYPEPTR, SQLite3Base, 60, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLite3CollationNeeded,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(APTR, pCollNeededArg, D0),
         AROS_LPA(xCollationNeededFunc, xCollNeeded, A1),
         LIBBASETYPEPTR, SQLite3Base, 61, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Sleep,
         AROS_LPA(LONG, ms, D0),
         LIBBASETYPEPTR, SQLite3Base, 62, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3Expired,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 63, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3TransferBindings,
         AROS_LPA(sqlite3_stmt *, pFromStmt, A0),
         AROS_LPA(sqlite3_stmt *, pToStmt, A1),
         LIBBASETYPEPTR, SQLite3Base, 64, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP0(LONG, SQLite3GlobalRecover,
         LIBBASETYPEPTR, SQLite3Base, 65, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3GetAutocommit,
         AROS_LPA(sqlite3 *, db, A0),
         LIBBASETYPEPTR, SQLite3Base, 66, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__)
AROS_LP1(sqlite3 *, SQLite3DbHandle,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         LIBBASETYPEPTR, SQLite3Base, 67, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (0 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__)
AROS_LP3(APTR, SQLite3RollbackHook,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(xRollbackCallbackFunc, callback, A1),
         AROS_LPA(APTR, pUserData, A2),
         LIBBASETYPEPTR, SQLite3Base, 68, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3EnableSharedCache,
         AROS_LPA(BOOL, enable, D0),
         LIBBASETYPEPTR, SQLite3Base, 69, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ReleaseMemory,
         AROS_LPA(LONG, bytesCount, D0),
         LIBBASETYPEPTR, SQLite3Base, 70, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__)
AROS_LP1(VOID, SQLite3SoftHeapLimit,
         AROS_LPA(LONG, maxBytes, D0),
         LIBBASETYPEPTR, SQLite3Base, 71, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__)
AROS_LP0(VOID, SQLite3ThreadCleanup,
         LIBBASETYPEPTR, SQLite3Base, 72, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (41 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (42 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3PrepareV2,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zSql, A1),
         AROS_LPA(LONG, nBytes, D0),
         AROS_LPA(sqlite3_stmt **, ppStmt, A2),
         AROS_LPA(CONST_STRPTR *, pzTail, A3),
         LIBBASETYPEPTR, SQLite3Base, 73, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (42 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP8(LONG, SQLite3CreateFunction,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zFunctionName, A1),
         AROS_LPA(LONG, nArg, D0),
         AROS_LPA(LONG, eTextRep, D1),
         AROS_LPA(APTR, userdata, A2),
         AROS_LPA(xFunctionFunc, xFunc, A3),
         AROS_LPA(xFunctionStep, xStep, D2),
         AROS_LPA(xFunctionFinal, xFinal, D3),
         LIBBASETYPEPTR, SQLite3Base, 74, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP4(LONG, SQLite3CreateModule,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zName, A1),
         AROS_LPA(CONST sqlite3_module *, methods, A2),
         AROS_LPA(APTR, clientData, A3),
         LIBBASETYPEPTR, SQLite3Base, 75, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3DeclareVtab,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zCreateTable, A1),
         LIBBASETYPEPTR, SQLite3Base, 76, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLite3OverloadFunction,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zFuncName, A1),
         AROS_LPA(LONG, nArg, D0),
         LIBBASETYPEPTR, SQLite3Base, 77, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP7(LONG, SQLite3BlobOpen,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zDb, A1),
         AROS_LPA(CONST_STRPTR, zTable, A2),
         AROS_LPA(CONST_STRPTR, zColumn, A3),
         AROS_LPA(LONG, iRow, D0),
         AROS_LPA(LONG, flags, D1),
         AROS_LPA(sqlite3_blob **, ppBlob, A4),
         LIBBASETYPEPTR, SQLite3Base, 78, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3BlobClose,
         AROS_LPA(sqlite3_blob *, blob, A0),
         LIBBASETYPEPTR, SQLite3Base, 79, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3BlobBytes,
         AROS_LPA(sqlite3_blob *, blob, A0),
         LIBBASETYPEPTR, SQLite3Base, 80, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP4(LONG, SQLite3BlobRead,
         AROS_LPA(sqlite3_blob *, blob, A0),
         AROS_LPA(APTR, z, A1),
         AROS_LPA(LONG, n, D0),
         AROS_LPA(LONG, iOffset, D1),
         LIBBASETYPEPTR, SQLite3Base, 81, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP4(LONG, SQLite3BlobWrite,
         AROS_LPA(sqlite3_blob *, blob, A0),
         AROS_LPA(CONST_APTR, z, A1),
         AROS_LPA(LONG, n, D0),
         AROS_LPA(LONG, iOffset, D1),
         LIBBASETYPEPTR, SQLite3Base, 82, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3ExtendedResultCodes,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(LONG, onoff, D0),
         LIBBASETYPEPTR, SQLite3Base, 83, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLite3BindZeroBlob,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, i, D0),
         AROS_LPA(LONG, n, D1),
         LIBBASETYPEPTR, SQLite3Base, 84, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3ColumnDatabaseName,
         AROS_LPA(sqlite3_stmt *, stmt, A0),
         AROS_LPA(LONG, n, D0),
         LIBBASETYPEPTR, SQLite3Base, 85, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3ColumnTableName,
         AROS_LPA(sqlite3_stmt *, stmt, A0),
         AROS_LPA(LONG, n, D0),
         LIBBASETYPEPTR, SQLite3Base, 86, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(CONST_STRPTR, SQLite3ColumnOriginName,
         AROS_LPA(sqlite3_stmt *, stmt, A0),
         AROS_LPA(LONG, n, D0),
         LIBBASETYPEPTR, SQLite3Base, 87, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(sqlite3_value *, SQLite3ColumnValue,
         AROS_LPA(sqlite3_stmt *, pStmt, A0),
         AROS_LPA(LONG, iCol, D0),
         LIBBASETYPEPTR, SQLite3Base, 88, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP6(LONG, SQLite3CreateCollationV2,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zName, A1),
         AROS_LPA(LONG, eTextRep, D0),
         AROS_LPA(APTR, pCtx, A2),
         AROS_LPA(xCreateCollationCompare, xCompare, A3),
         AROS_LPA(xCreateCollationDestroy, xDestroy, D1),
         LIBBASETYPEPTR, SQLite3Base, 89, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP0(CONST_STRPTR, SQLite3LibVersion,
         LIBBASETYPEPTR, SQLite3Base, 90, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP0(LONG, SQLite3LibversionNumber,
         LIBBASETYPEPTR, SQLite3Base, 91, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP1(VOID, SQLite3ResultErrorToobig,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         LIBBASETYPEPTR, SQLite3Base, 92, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP2(VOID, SQLite3ResultZeroBlob,
         AROS_LPA(sqlite3_context *, pCtx, A0),
         AROS_LPA(LONG, n, D0),
         LIBBASETYPEPTR, SQLite3Base, 93, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3ValueNumericType,
         AROS_LPA(sqlite3_value *, pVal, A0),
         LIBBASETYPEPTR, SQLite3Base, 94, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (43 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3ConfigV,
         AROS_LPA(LONG, op, D0),
         AROS_LPA(APTR, ap, A0),
         LIBBASETYPEPTR, SQLite3Base, 95, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP3(LONG, SQLlite3DbConfigV,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(LONG, op, D0),
         AROS_LPA(APTR, ap, A1),
         LIBBASETYPEPTR, SQLite3Base, 96, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP1(sqlite3_vfs *, SQLite3VfsFind,
         AROS_LPA(CONST_STRPTR, zVfsName, A0),
         LIBBASETYPEPTR, SQLite3Base, 97, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP2(LONG, SQLite3VfsRegister,
         AROS_LPA(sqlite3_vfs *, vfs, A0),
         AROS_LPA(LONG, makeDflt, D0),
         LIBBASETYPEPTR, SQLite3Base, 98, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP1(LONG, SQLite3VfsUnregister,
         AROS_LPA(sqlite3_vfs *, vfs, A0),
         LIBBASETYPEPTR, SQLite3Base, 99, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP4(LONG, SQLite3FileControl,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(CONST_STRPTR, zDbName, A1),
         AROS_LPA(LONG, op, D0),
         AROS_LPA(void *, arg, A2),
         LIBBASETYPEPTR, SQLite3Base, 100, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP4(LONG, SQLite3Status,
         AROS_LPA(LONG, op, D0),
         AROS_LPA(LONG *, pCurrent, A0),
         AROS_LPA(LONG *, pHighwater, A1),
         AROS_LPA(LONG, resetFlag, D1),
         LIBBASETYPEPTR, SQLite3Base, 101, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

#if !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__)
AROS_LP5(LONG, SQLite3DbStatus,
         AROS_LPA(sqlite3 *, db, A0),
         AROS_LPA(LONG, op, D0),
         AROS_LPA(LONG *, pCur, A1),
         AROS_LPA(LONG *, pHiwtr, A2),
         AROS_LPA(LONG, resetFlg, D1),
         LIBBASETYPEPTR, SQLite3Base, 102, SQLite3Base
);

#endif /* !defined(__SQLITE3_LIBAPI__) || (44 <= __SQLITE3_LIBAPI__) */

__END_DECLS

#endif /* CLIB_SQLITE3_PROTOS_H */
